# g711codec.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/transcoders.h>`
`#include <codec/g711a1_plc.h>`

Include dependency graph for g711codec.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | Opal_G711_PCM
class | Opal_G711_uLaw_PCM
class | Opal_PCM_G711_uLaw
class | Opal_G711_ALaw_PCM
class | Opal_PCM_G711_ALaw

## Defines

#define | OPAL_REGISTER_G711()

## Define Documentation

#define OPAL_REGISTER_G711 | ( |  | ) |

Value:

    OPAL_REGISTER_TRANSCODER(Opal_G711_uLaw_PCM, OpalG711_ULAW_64K, OpalPCM16); \
    OPAL_REGISTER_TRANSCODER(Opal_PCM_G711_uLaw, OpalPCM16,         OpalG711_ULAW_64K); \
    OPAL_REGISTER_TRANSCODER(Opal_G711_ALaw_PCM, OpalG711_ALAW_64K, OpalPCM16); \
    OPAL_REGISTER_TRANSCODER(Opal_PCM_G711_ALaw, OpalPCM16,         OpalG711_ALAW_64K)